davix_request_params_types.hpp File Reference

types for request parameters More...

`#include <functional>`
`#include "../utils/davix_uri.hpp"`

## Typedefs

typedef std::string | Davix::AwsSecretKey
| string for Amazon private key
typedef std::string | Davix::AwsAccessKey
| string for Amazon public key
typedef std::string | Davix::AwsRegion
| string for Amazon region
typedef std::string | Davix::AwsToken
| string for Amazon security token
typedef std::string | Davix::AzureSecretKey
| string for Azure private key
typedef std::string | Davix::OSToken
| string for Openstack token
typedef std::string | Davix::OSProjectID
| string for Openstack project ID
typedef std::string | Davix::SwiftAccount
| string for Swift Account

## Enumerations

enum | Davix::RequestProtocol::Protocol { Auto =0 , Http , Webdav , AwsS3 , Azure , Gcloud , Swift , CS3 }
| Http based protocol to use for advanced queries.
enum | MetalinkMode { Auto =0 , Disable , FailOver , XStream }
enum | S3ListingMode { Hierarchical , SemiHierarchical , Flat }
enum | SwiftListingMode { Hierarchical , SemiHierarchical }
enum | CopyMode { Push , Pull }

## Detailed Description

types for request parameters

Author
  Devresse Adrien